import { DynamicModule } from "@nestjs/common";
import Redis from "ioredis";
export declare class WarlockModule {
    private static redisClient;
    static forRoot(redisUrl: string): DynamicModule;
    static forRootAsync(options: WarlockModuleAsyncOptions): DynamicModule;
    static getRedisClient(): Redis;
}
export interface WarlockModuleAsyncOptions {
    useFactory: (...args: any[]) => Promise<string> | string;
    inject?: any[];
}
