import { OnModuleInit } from "@nestjs/common";
import Redis from "ioredis";
export declare class WarlockService implements OnModuleInit {
    private readonly redis;
    private lockValue;
    private static instance;
    constructor(redis: Redis);
    onModuleInit(): void;
    static getInstance(): WarlockService;
    acquireLock(lockKey: string, ttl: number): Promise<boolean>;
    isLeader(lockKey: string): Promise<boolean>;
    releaseLock(lockKey: string): Promise<void>;
}
